Create Chat Completion with Image Recognition (Non-Streaming)
Header Parameters
Request Body
application/json
ID of the model to use. See the model endpoint compatibility table for details on which models work with the Chat API.
A list of messages comprising the conversation so far. Python code example.
What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. We generally recommend altering this or top_p but not both.
An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. We generally recommend altering this or temperature but not both.
Defaults to 1. How many chat completion choices to generate for each input message.
Defaults to false. If set, partial message deltas will be sent as in ChatGPT. Tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message. Python code example.
Defaults to null. Up to 4 sequences where the API will stop generating further tokens.
Defaults to inf. The maximum number of tokens to generate in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length. Python code example for counting tokens.
Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. See more information on frequency and presence penalties.
Defaults to 0. Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. See more information on frequency and presence penalties.
Modify the likelihood of specified tokens appearing in the completion. Accepts a JSON object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase the probability of the associated token; values like -100 or 100 should result in a ban or exclusive selection of the associated token.
A unique identifier representing your end-user, which can help OpenAI monitor and detect abuse. Learn more.
An object specifying the format that the model must output. Setting { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important: when using JSON mode, you must also instruct the model to produce JSON via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in increased latency and the appearance of a "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length. Show properties.
This feature is in beta. If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor changes in the backend.
A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions for which the model can generate JSON inputs.
Controls which (if any) function is called by the model. none means the model will not call a function and instead generates a message. auto means the model can pick between generating a message or calling a function. Specifying a particular function via {"type": "function", "function": {"name": "my_function"}} forces the model to call that function. Defaults to none if no functions are present, and auto if functions are present. Show possible types.
Response Body
application/json
curl -X POST "https://loading/v1/chat/completions" \ -H "Content-Type: string" \ -H "Accept: string" \ -H "Content-Type: application/json" \ -d '{ "model": "gpt-4o", "messages": [ { "role": "system", "content": "You are a helpful assistant." }, { "role": "user", "content": [ { "type": "text", "text": "What is in this image? Please describe it in detail." }, { "type": "image_url", "image_url": { "url": "https://lsky.zhongzhuan.chat/i/2024/10/17/6711068a14527.png" } } ] } ] }'{
"id": "chatcmpl-123",
"object": "chat.completion",
"created": 1677652288,
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "\n\nHello there, how may I assist you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 9,
"completion_tokens": 12,
"total_tokens": 21
}
}How is this guide?
Last updated on